# m3ship

m3ship will ship all the build directories (for different architectural variants) that exist in the package. It will refuse to ship anything if it finds a variant that was built with "overrides", unless the "-k" option is given, in which case it will ship all the variants except those that were built with overrides.

The syntax for invoking m3ship is

         m3ship [options]

The following options are interpreted by m3ship.

- -k Don't generate an error message if any of the .M3SHIP files are missing. Keep on going.

- -b "dir" Use the dir configuration and ship from the directory named dir. The default directory is configured into m3ship when it is installed.

- -d "dir" Change the current directory to dir before doing anything.

- -S Ship derived objects regardless of the current directory's name. Normally, if the current working directory is src, m3ship will refuse to build derived objects in it.

- -T "dir" Read templates from dir instead of the default location.